Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607120 - gtk3-engines libclearlooks uses undefined gtk_progress_get_type
gtk3-engines libclearlooks uses undefined gtk_progress_get_type
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk3-engines (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 05:53 EDT by Caolan McNamara
Modified: 2010-08-10 09:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 09:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2010-06-23 05:53:14 EDT
/usr/lib64/openoffice.org3/program/swriter.bin: symbol lookup error: /usr/lib64/gtk-3.0/3.0.0/engines/libclearlooks.so: undefined symbol: gtk_progress_get_type

gtk3-engines-2.90.1-4.fc14.x86_64

nm -D /usr/lib64/gtk-3.0/3.0.0/engines/libclearlooks.so |grep gtk_progress_get_type
                 U gtk_progress_get_type

nm -D /usr/lib64/libgtk-x11-3.0.so.0.9003.0 |grep gtk_progress_get_type

zilch

nm -D /usr/lib64/libgtk-x11-2.0.so.0.2102.0 |grep gtk_progress_get_type
0000003de46ed790 T gtk_progress_get_type

Presumably this was deprecated in gtk2 and gone in gtk3
Comment 1 Bug Zapper 2010-07-30 08:12:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2010-08-10 09:49:02 EDT
This appears to be fixed in gtk3-engines-2.90.3.1-4.fc14

Note You need to log in before you can comment on or make changes to this bug.